Addon [1.7.10 - 1.12.2] Extra Planets *Updated 14/08/2020*

Phizofgiz

Member
Jul 24, 2019
1
0
1
20
Hey there, I'm going to be posting a crash report in a second. I need help figuring out why this mod won't work. I have the latest Java, latest version of Forge, but I have other mods too. I need some help XD
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (212 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.5.5 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.2.7 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.6.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (212 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.5.6 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.2.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.5.7 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.4 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.2.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.5.8 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.5.9 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.6.1 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.5 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (178 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.3.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.1 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.6 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.3.1 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (502 Build and higher) and Forge 10.13.4.1614!

v2.1.3 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------

 
Last edited:

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.2 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.7 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.3.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.6.2 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------

 
Last edited:

Lord_Fawful

Member
Feb 15, 2019
2
0
1
16
Few more things:
  • Pressure on some of the planets is still a bit weird. Moon, Mercury, Mars, Asteroids, Ceres, Pluto, Eris, and every Extra Planets moon except Titan all have basically no pressure IRL- it shouldn't realistically be an issue on these planets (though the lack of pressure may be just as big of a problem). Would be nice to see an option to make pressure customizable for every planet and moon, similar to the way you can customize radiation.
  • On some versions of EP 1.12.2, I've had issues with the Magma Cube Boss on Mercury doing absolutely insane amounts of damage and making the fight nearly unwinnable. I have some weapons mods that can balance this effect, but I ran some trials on Earth with the boss and got one-shotted from full health while wearing over 200 points worth of armor, which is just insane. With a space suit on it's not too bad; heck, I kind of like having a boss fight that's not just "trick the crappy AI into letting you smack it with a sword over and over again until it dies without doing jack s*** worth of damage," and maybe there's some overflow with the armor that I overlooked, just wanted to be sure.
  • On the subject of bosses, a lot of them don't do jack s*** worth of damage if you've got a space suit. Maybe have a damage multiplier option in config for a bit more of a challenge with those?
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (237 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.3 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.3.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.6.3 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (255 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.4 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------

 
Last edited:

UIuser

Member
Apr 5, 2018
9
2
3
16
Do you ever plan on adding compatibility with Galaxy Space? Galaxy Space IMHO just has better environments and more content, but I still enjoy having even more systems to go to.
 

MJRLegends

Member
Mar 13, 2015
540
63
28
Do you ever plan on adding compatibility with Galaxy Space? Galaxy Space IMHO just has better environments and more content, but I still enjoy having even more systems to go to.
Its already a thing and has been for years, checkout the following for help

Another Galacticraft addon Compactiability Support:

MC 1.7.10 - https://docs.mjrlegends.com/ExtraPlanets/1.7.10compact/

MC 1.12.2 - https://docs.mjrlegends.com/ExtraPlanets/1.12.2compact/

MC 1.8.9-1.11.2 - https://docs.mjrlegends.com/ExtraPlanets/1.8-1.11compact/
 

MJRLegends

Member
Mar 13, 2015
540
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (255 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.6.5 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------

1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (184 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.9.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------